import "../../components/button/Button";
import "../../components/icon/Icon";
import "../../components/tooltip/Tooltip";
import { type Tooltip } from "../../components/tooltip/Tooltip";
import { LitElement } from "lit";
export declare class TooltipMessageTemplateSandbox extends LitElement {
    isClicked: boolean;
    private handleClick;
    render(): import("lit-html").TemplateResult<1>;
}
export declare class TooltipTemplateSandbox extends LitElement {
    isClicked: boolean;
    private handleClick;
    render(): import("lit-html").TemplateResult<1>;
}
export declare class TooltipDisconnectedSandbox extends LitElement {
    isClicked: boolean;
    container: HTMLDivElement;
    tooltip: Tooltip.ELEMENT;
    private handleClick;
    static get styles(): import("lit").CSSResult;
    render(): import("lit-html").TemplateResult<1>;
}
export declare class TooltipAnimationSandbox extends LitElement {
    moved: boolean;
    static get styles(): import("lit").CSSResult;
    private toggleMove;
    render(): import("lit-html").TemplateResult<1>;
}
export declare const tooltipTemplate: import("lit-html").TemplateResult<1>;
